Package fr.gouv.vitam.collect.internal.core.common

# Class CollectJsonMetadataLine

java.lang.Object
fr.gouv.vitam.collect.internal.core.common.CollectJsonMetadataLine

public class CollectJsonMetadataLine extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `FILE_FIELD`
  `static final String`
  `OBJECT_FILES_FIELD`
  `static final String`
  `SELECTOR_FIELD`
  `static final com.fasterxml.jackson.core.type.TypeReference<CollectJsonMetadataLine>`
  `TYPE_REFERENCE`
  `static final String`
  `UNIT_CONTENT_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CollectJsonMetadataLine()`
  `CollectJsonMetadataLine(String file, String objectFiles, CollectJsonMetadataSelector selector, com.fasterxml.jackson.databind.node.ObjectNode unitContent)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFile()`
  `String`
  `getObjectFiles()`
  `CollectJsonMetadataSelector`
  `getSelector()`
  `com.fasterxml.jackson.databind.node.ObjectNode`
  `getUnitContent()`
  `CollectJsonMetadataLine`
  `setFile(String file)`
  `CollectJsonMetadataLine`
  `setObjectFiles(String objectFiles)`
  `CollectJsonMetadataLine`
  `setSelector(CollectJsonMetadataSelector selector)`
  `CollectJsonMetadataLine`
  `setUnitContent(com.fasterxml.jackson.databind.node.ObjectNode unitContent)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TYPE_REFERENCE

    public static final com.fasterxml.jackson.core.type.TypeReference<CollectJsonMetadataLine> TYPE_REFERENCE

  - ### FILE_FIELD

    public static final String FILE_FIELD
    See Also:
      - Constant Field Values

  - ### OBJECT_FILES_FIELD

    public static final String OBJECT_FILES_FIELD
    See Also:
      - Constant Field Values

  - ### SELECTOR_FIELD

    public static final String SELECTOR_FIELD
    See Also:
      - Constant Field Values

  - ### UNIT_CONTENT_FIELD

    public static final String UNIT_CONTENT_FIELD
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CollectJsonMetadataLine

    public CollectJsonMetadataLine()

  - ### CollectJsonMetadataLine

    public CollectJsonMetadataLine(String file, String objectFiles, CollectJsonMetadataSelector selector, com.fasterxml.jackson.databind.node.ObjectNode unitContent)

- ## Method Details

  - ### getFile

    public String getFile()

  - ### setFile

    public CollectJsonMetadataLine setFile(String file)

  - ### getObjectFiles

    public String getObjectFiles()

  - ### setObjectFiles

    public CollectJsonMetadataLine setObjectFiles(String objectFiles)

  - ### getSelector

    public CollectJsonMetadataSelector getSelector()

  - ### setSelector

    public CollectJsonMetadataLine setSelector(CollectJsonMetadataSelector selector)

  - ### getUnitContent

    public com.fasterxml.jackson.databind.node.ObjectNode getUnitContent()

  - ### setUnitContent

    public CollectJsonMetadataLine setUnitContent(com.fasterxml.jackson.databind.node.ObjectNode unitContent)